package com.atolcd.web.bean.actions.handlers;

import java.io.Serializable;
import java.text.MessageFormat;
import java.util.Map;

import javax.faces.context.FacesContext;

import org.alfresco.web.app.Application;
import org.alfresco.web.bean.actions.handlers.BaseActionHandler;
import org.alfresco.web.bean.wizard.IWizardBean;

import com.atolcd.repo.action.executer.PDFWatermarkActionExecuter;

public class PDFWatermarkActionHandler extends BaseActionHandler {

    private static final long serialVersionUID = 1619111550202704496L;

    public static final String PROP_TEXT = "text";

    public String generateSummary(FacesContext context, IWizardBean wizard,
	    Map<String, Serializable> props) {
	String text = (String) props.get(PROP_TEXT);
	if (text == null) {
	    text = "";
	}

	return MessageFormat.format(Application.getMessage(context,
		"watermark_text_summary"), new Object[] { text });
    }

    public String getJSPPath() {
	return "/jsp/actions/watermark.jsp";
    }

    public void prepareForEdit(Map<String, Serializable> props,
	    Map<String, Serializable> repoProps) {
	props.put(PROP_TEXT, repoProps
		.get(PDFWatermarkActionExecuter.PARAM_TEXT));

    }

    public void prepareForSave(Map<String, Serializable> props,
	    Map<String, Serializable> repoProps) {
	repoProps.put(PDFWatermarkActionExecuter.PARAM_TEXT, props
		.get(PROP_TEXT));
    }

}
